import { Base, Type } from "igniteui-angular-core";
import { ISupportSetProperty } from "./ISupportSetProperty";
import { CT_BaseStyles } from "./CT_BaseStyles";
import { CT_ColorMapping } from "./CT_ColorMapping";
import { ElementPropertyIds } from "./ElementPropertyIds";
/**
 * @hidden
 */
export declare class CT_ClipboardStyleSheet extends Base implements ISupportSetProperty {
    static $t: Type;
    private b;
    private d;
    constructor();
    a: CT_BaseStyles;
    c: CT_ColorMapping;
    setProperty(a: ElementPropertyIds, b: any): void;
    toString(): string;
}
